> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# Get Opportunity Appointments

GET https://api.coperniq.io/v1/opportunities/{opportunity_id}/appointments

Retrieve appointments for a specific opportunity.

Supports:
- Pagination (`page_size`, `page`)
- Date filtering (`updated_after`, `updated_before`)
- Sorting (`order_by`)


Reference: https://docs.coperniq.io/api-reference/appointments/get-opportunity-appointments

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `opportunity_id` (string, required)

### Query parameters

- `page_size` (integer, optional, default: 20) — Number of items per page (max 100)
- `page` (integer, optional, default: 1) — Page number (1-based)
- `order_by` (enum, optional, default: asc) — Sort order for results
  - Allowed values: `asc`, `desc`
- `updated_after` (OpportunitiesOpportunityIdAppointmentsGetParametersUpdatedAfter, optional) — Filter items updated after this timestamp (ISO 8601). Also matches records whose custom property values changed within the window.
- `updated_before` (OpportunitiesOpportunityIdAppointmentsGetParametersUpdatedBefore, optional) — Filter items updated before this timestamp (ISO 8601). Also matches records whose custom property values changed within the window.

## Response

### 200

List of appointments for the opportunity

- `appointments` (list of Appointment, required)
- `totalCount` (integer, required)

## Errors

### 400 Bad Request Error

Invalid request

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `UNAUTHORIZED`
- `field` (string, optional) — Field that caused the validation error (if applicable)

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `UNAUTHORIZED`

## Types

### OpportunitiesOpportunityIdAppointmentsGetParametersUpdatedAfter

### OpportunitiesOpportunityIdAppointmentsGetParametersUpdatedBefore

### Appointment

- `id` (integer, optional)
- `title` (string, optional)
- `description` (string, optional, nullable)
- `dueDate` (string, optional, nullable)
- `isCompleted` (boolean, optional)
- `completedAt` (string, optional, nullable)
- `assigneeId` (integer, optional, nullable)
- `opportunityId` (integer, optional, nullable) — ID of the parent opportunity.
- `createdBy` (integer, optional, nullable)
- `createdAt` (string, optional)
- `updatedAt` (string, optional)

## Examples

**Response**

```json
{
  "appointments": [
    {
      "id": 1,
      "title": "string",
      "description": "string",
      "dueDate": "2024-01-15T09:30:00Z",
      "isCompleted": true,
      "completedAt": "2024-01-15T09:30:00Z",
      "assigneeId": 1,
      "opportunityId": 1,
      "createdBy": 1,
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ],
  "totalCount": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.coperniq.io/v1/opportunities/opportunity_id/appointments"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.coperniq.io/v1/opportunities/opportunity_id/appointments';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/opportunities/opportunity_id/appointments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/opportunities/opportunity_id/appointments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.coperniq.io/v1/opportunities/opportunity_id/appointments")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.coperniq.io/v1/opportunities/opportunity_id/appointments', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/opportunities/opportunity_id/appointments");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/opportunities/opportunity_id/appointments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```